using System;
using System.Collections;
using System.Collections.Generic;
using Server.ContextMenus;
using Server;

namespace Server.Mobiles
{
	public class MinorArtifactBuyer : BaseVendor
	{
		private ArrayList m_SBInfos = new ArrayList();
		protected override ArrayList SBInfos{ get { return m_SBInfos; } }
		public override bool IsActiveSeller{ get{ return false; } } // repsonse to vendor BUY

		[Constructable]
		public MinorArtifactBuyer() : base( "the Minor artifact buyer" )
		{
         CantWalk = true;
		}

		public override void InitSBInfo()
		{
			m_SBInfos.Add( new SBMinorArtifactBuyer() );
		}

		public MinorArtifactBuyer( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}